Bug 31138 - The last update for anaconda (update-disk-20001009.img) did not work!
The last update for anaconda (update-disk-20001009.img) did not work!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-08 22:28 EST by Fabio Nunes
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-09 20:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabio Nunes 2001-03-08 22:28:10 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)




Reproducible: Always
Steps to Reproduce:
1. boot with boot.img
2. at boot prompt tyoe linux updates and wait for change disk
3. expect the installation goes ok, and receive again yhe anaconda 
messages!!!
	

Actual Results:  I'm still useing WinME :(

Expected Results:  The installation must be smooth!!!!!!!!! I supose!

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 33, in __call__
  File "/tmp/updates/todo.py", line 539, in getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 43, 
in readComps
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in 
__init__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 428, in 
readCompsFile
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 101, in 
__getitem__
KeyError: postgresql-devel

Local variables in innermost frame:
self: <comps.HeaderList instance at 819c468>
item: postgresql-devel

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dp10

<failed>
Comment 1 Michael Fulbright 2001-03-09 10:50:20 EST
This error means the postgresql-devel RPM is either corrupt or missing from the
hard drive image you are installing from. Check into that first.
Comment 2 Fabio Nunes 2001-03-09 20:33:41 EST
I did the download from one of yours mirror site in my country 
(ftp.matrix.com.br) and the only postgresql files are listed bellow.


How can I check if I have all the files needed?

----

C:\RedHat\RPMS> dir postgresql*

 O volume da unidade C i UNIDADE-C
 O nzmero de sirie do volume i 3A2B-1806
 Pasta de C:\RedHat\RPMS

POSTGR~5 RPM       739.281  09/03/01  22:23 postgresql-server-7.0.2-17.i386.rpm
POSTGR~4 RPM     1.832.610  09/03/01  22:20 postgresql-7.0.2-17.i386.rpm
POSTGR~7 RPM        35.849  09/03/01  22:23 postgresql-tcl-7.0.2-17.i386.rpm
POSTGR~2 RPM        49.768  09/03/01  22:19 postgresql-python-7.0.2-17.i386.rpm
POSTGR~1 RPM        53.161  09/03/01  22:19 postgresql-perl-7.0.2-17.i386.rpm
POSTGR~3 RPM       278.075  09/03/01  22:19 postgresql-jdbc-7.0.2-17.i386.rpm
POSTGR~6 RPM        79.925  09/03/01  22:23 postgresql-odbc-7.0.2-17.i386.rpm
POSTGR~8 RPM       417.256  09/03/01  22:23 postgresql-tk-7.0.2-17.i386.rpm
         8 arquivo(s)      3.485.925  bytes
         0 pasta(s)       14.853.81 MB livre(s)
Comment 3 Michael Fulbright 2001-03-21 15:34:29 EST
I would recommend downloading everything again from a different source.
Apparently the tree you copied was incomplete.

Making CDs is also an alternative.

Note You need to log in before you can comment on or make changes to this bug.